<?php

namespace App\Filament\Resources\SecurityManagerExperienceResource\Pages;

use App\Filament\Resources\SecurityManagerExperienceResource;
use Filament\Actions;
use Filament\Resources\Pages\ListRecords;
use App\Models\SecurityManagerExperience;
use Ramsey\Uuid\Exception\DceSecurityException;

class ListSecurityManagerExperiences extends ListRecords
{
    protected static string $resource = SecurityManagerExperienceResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\CreateAction::make()
                ->hidden(auth()->user()->hasAnyRole('Admin'))
                ->hidden((SecurityManagerExperience::where('user_id', auth()->id())->exists())),
        ];
    }

    protected function getRedirectUrl(): string
{
    return $this->getResource()::getUrl('index');
}
}
