<?php

namespace App\Filament\Widgets;

use Filament\Widgets\StatsOverviewWidget as BaseWidget;
use Filament\Widgets\StatsOverviewWidget\Stat;
use App\Models\User;
use App\Models\RequestDatabase;
use App\Models\DeploymentApplication;


class StatsOverview extends BaseWidget
{
    protected function getStats(): array
    {
        return [
            Stat::make('Total Users', User::count())
                // ->description('32k increase')
                // ->descriptionIcon('heroicon-m-arrow-trending-up')
                // ->color('success'),
                ,
            Stat::make('Total Opportunities', RequestDatabase::where('request_approval', 'Approved')->count())
                // ->description('7% increase')
                // ->descriptionIcon('heroicon-m-arrow-trending-down')
                // ->color('danger')
                // ->chart([7, 2, 10, 3, 15, 4, 17])
                ,
            Stat::make('Total Opportunities Applications', DeploymentApplication::count())
                // ->color('success')
                // ->description('3% increase')
                // ->descriptionIcon('heroicon-m-arrow-trending-up'),
        ]
        ;

        
        
    }
    protected static ?int $sort = 2;
}
