<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\Traits\Multitenantable;
use \DateTimeInterface;
use Illuminate\Database\Eloquent\SoftDeletes;

class Deployment extends Model
{
  //use SoftDeletes;
  use HasFactory;
    use Multitenantable;

      public $table = 'deployments';

      protected $dates = [
      'created_at',
      'updated_at',
      'deleted_at',
      ];

      protected $fillable = [
      'name',  
      'deployment_diesease_id',
      'deployment_role_id',
      'deployment_country_id',
      'date_started',
      'date_completed',
      'deployment_type',
      'state_id',
      'user_id',
      'created_at',
      'updated_at',
      'deleted_at',
      ];

      public function disease_emergency()
      {
      return $this->belongsTo(DiseaseEmergency::class, 'deployment_diesease_id');
      }

      public function deployment_role()
      {
      return $this->belongsTo(DeploymentRole::class, 'deployment_role_id');
      }

      public function country()
      {
      return $this->belongsTo(Country::class, 'deployment_country_id');
      }

      // public function country()
      // {
      // return $this->belongsTo(Country::class, 'country_id');
      // }
      public function state()
      {
      return $this->belongsTo(State::class, 'user_id');
      }
      public function user()
      {
      return $this->belongsTo(User::class, 'user_id');
      }

      protected function serializeDate(DateTimeInterface $date)
      {
      return $date->format('Y-m-d H:i:s');
      }
}
