<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddRelationshipFieldsToHazardousMaterialsExperiencesTable extends Migration
{
    public function up()
    {
        Schema::table('hazardous_materials_experiences', function (Blueprint $table) {
            $table->unsignedBigInteger('certified_hazardous_materials_manager_chmm_id')->nullable();
            $table->foreign('certified_hazardous_materials_manager_chmm_id', 'certified_hazardous_materials_manager_chmm_fk_7700486')->references('id')->on('training_levels');
            $table->unsignedBigInteger('certified_industrial_hygienist_cih_id')->nullable();
            $table->foreign('certified_industrial_hygienist_cih_id', 'certified_industrial_hygienist_cih_fk_7700487')->references('id')->on('training_levels');
            $table->unsignedBigInteger('hazmat_specialist_training_id')->nullable();
            $table->foreign('hazmat_specialist_training_id', 'hazmat_specialist_training_fk_7700488')->references('id')->on('training_levels');
            $table->unsignedBigInteger('record_keeping_id')->nullable();
            $table->foreign('record_keeping_id', 'record_keeping_fk_7700489')->references('id')->on('training_levels');
            $table->unsignedBigInteger('hazardous_materials_management_y_n_program_id')->nullable();
            $table->foreign('hazardous_materials_management_y_n_program_id', 'hazardous_materials_management_y_n_program_fk_7700490')->references('id')->on('training_levels');
            $table->unsignedBigInteger('medical_waste_plans_id')->nullable();
            $table->foreign('medical_waste_plans_id', 'medical_waste_plans_fk_7700491')->references('id')->on('training_levels');
            $table->unsignedBigInteger('spill_response_plans_id')->nullable();
            $table->foreign('spill_response_plans_id', 'spill_response_plans_fk_7700492')->references('id')->on('training_levels');
            $table->unsignedBigInteger('hazardous_waste_reduction_plans_id')->nullable();
            $table->foreign('hazardous_waste_reduction_plans_id', 'hazardous_waste_reduction_plans_fk_7700493')->references('id')->on('training_levels');
            $table->unsignedBigInteger('hazardous_waste_contingency_plans_id')->nullable();
            $table->foreign('hazardous_waste_contingency_plans_id', 'hazardous_waste_contingency_plans_fk_7700494')->references('id')->on('training_levels');
            $table->unsignedBigInteger('stormwater_y_n_plans_id')->nullable();
            $table->foreign('stormwater_y_n_plans_id', 'stormwater_y_n_plans_fk_7700495')->references('id')->on('training_levels');
            $table->unsignedBigInteger('occupational_health_and_safety_y_n_programs_id')->nullable();
            $table->foreign('occupational_health_and_safety_y_n_programs_id', 'occupational_health_and_safety_y_n_programs_fk_7700496')->references('id')->on('training_levels');
            $table->unsignedBigInteger('radiation_protection_plan_id')->nullable();
            $table->foreign('radiation_protection_plan_id', 'radiation_protection_plan_fk_7700497')->references('id')->on('training_levels');
            $table->unsignedBigInteger('collection_hazardous_waste_id')->nullable();
            $table->foreign('collection_hazardous_waste_id', 'collection_hazardous_waste_fk_7700498')->references('id')->on('training_levels');
            $table->unsignedBigInteger('training_others_on_hazardous_waste_id')->nullable();
            $table->foreign('training_others_on_hazardous_waste_id', 'training_others_on_hazardous_waste_fk_7700499')->references('id')->on('training_levels');
            $table->unsignedBigInteger('user_id')->nullable();
            $table->foreign('user_id', 'user_fk_74659948826')->references('id')->on('users');
        });
    }
}
